# -*- encoding: utf-8 -*-

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gce_metadata/version'

Gem::Specification.new do |gem|
  gem.name          = "gce-metadata"
  gem.version       = GCEMetadata::VERSION
  gem.summary       = %q{gce-metadata provides access to GCE instance metadata}
  gem.description   = %q{gce-metadata provides access to GCE instance metadata.}
  gem.license       = "MIT"
  gem.authors       = ["Christo De Lange"]
  gem.email         = "rubygems@dldinternet.com"
  gem.homepage      = "http://github.com/dldinternet/gce-metadata"

  gem.files         = `git ls-files`.split($/)

  `git submodule --quiet foreach --recursive pwd`.split($/).each do |submodule|
    submodule.sub!("#{Dir.pwd}/",'')

    Dir.chdir(submodule) do
      `git ls-files`.split($/).map do |subpath|
        gem.files << File.join(submodule,subpath)
      end
    end
  end
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib']

  gem.add_dependency 							'ec2-metadata',                       '~> 0.2', '>= 0.2.2'
  gem.add_dependency              'awesome_print',                      '>= 1.7.0', '< 1.8'

  gem.add_development_dependency 	'bundler', '~> 1.10'
  gem.add_development_dependency 	'rake', '~> 10.0'
  gem.add_development_dependency 	'rspec', '~> 3.0'
  gem.add_development_dependency 	'rubygems-tasks', '~> 0.2'
end
